List Accepted Payment Methods
Returns a list of accepted payment methods based on the order_id or checkout_id.
Notes
- Use the Create an Order endpoint to generate the
order_id. - Orders created will be set to incomplete order status.
- The cart ID and checkout ID are the same.
Required Fields
order_idorcheckout_id
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
order_id
The ID of the subject order.
checkout_id
The ID of the subject checkout; identical to the cart ID.
Response
A list of accepted payment methods.
data
meta
Response metadata.
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error